org.jetlang.web

## Class MimeType.Text

- java.lang.Object
- - org.jetlang.web.MimeType.Text

All Implemented Interfaces:
  MimeType

Direct Known Subclasses:
  MimeType.Utf8Text

Enclosing interface:
  MimeType

    public static class MimeType.Text
    extends Object
    implements MimeType

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.MimeType

`MimeType.Binary, MimeType.Text, MimeType.Utf8Text`

### Constructor Summary

Constructors
Constructor and Description
`Text(String type, Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Charset` `getCharset()`
`String` `getContentType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.web.MimeType

`createDefaultMimeTypeMap`

### Constructor Detail

#### Text

    public Text(String type,
                Charset charset)

### Method Detail

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `MimeType`

#### getCharset

    public Charset getCharset()

Specified by:
  `getCharset` in interface `MimeType`